GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Public Member Functions | Static Public Member Functions
grpc::Server::SyncRequest Class Reference

## Data Structures
class | CallData

## Public Member Functions
| SyncRequest (RpcServiceMethod *method, void *tag)
| ~SyncRequest ()
void | SetupRequest ()
void | TeardownRequest ()
void | Request (grpc_server *server, grpc_completion_queue *notify_cq)
bool | FinalizeResult (void **tag, bool *status) GRPC_OVERRIDE
Public Member Functions inherited from grpc::CompletionQueueTag
virtual | ~CompletionQueueTag ()

## Static Public Member Functions
static SyncRequest * | Wait (CompletionQueue *cq, bool *ok)

## Constructor & Destructor Documentation

grpc::Server::SyncRequest::SyncRequest | ( | RpcServiceMethod * | method,
|  | void * | tag
| ) |  |
| inline

grpc::Server::SyncRequest::~SyncRequest | ( |  | ) |
| inline

## Member Function Documentation

bool grpc::Server::SyncRequest::FinalizeResult | ( | void ** | tag,
|  | bool * | status
| ) |  |
| inline virtual

Implements grpc::CompletionQueueTag.

void grpc::Server::SyncRequest::Request | ( | grpc_server * | server,
|  | grpc_completion_queue * | notify_cq
| ) |  |
| inline

void grpc::Server::SyncRequest::SetupRequest | ( |  | ) |
| inline

void grpc::Server::SyncRequest::TeardownRequest | ( |  | ) |
| inline

static SyncRequest* grpc::Server::SyncRequest::Wait | ( | CompletionQueue * | cq,
|  | bool * | ok
| ) |  |
| inline static

The documentation for this class was generated from the following file:

- src/cpp/server/server.cc